summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD54
2 files changed, 68 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..bda8187b9ee
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = bg-plugins.lv2-git
+ pkgdesc = An arpeggiator and a MIDI-pattern plugin developed for the MOD platform by Bram Geisen
+ pkgver = r36.1eb55ff
+ pkgrel = 1
+ url = https://github.com/BramGiesen/arpeggiator_LV2
+ arch = x86_64
+ license = GPL
+ depends = xorg-server
+ depends = lv2
+ source = git+https://github.com/BramGiesen/arpeggiator_LV2
+ md5sums = SKIP
+
+pkgname = bg-plugins.lv2-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a13a8582b21
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,54 @@
+# Maintainer: Milk Brewster (milk on freenode irc)
+pkgname=bg-plugins.lv2-git
+pkgver=r36.1eb55ff
+pkgrel=1
+epoch=
+pkgdesc="An arpeggiator and a MIDI-pattern plugin developed for the MOD platform by Bram Geisen"
+arch=('x86_64')
+url="https://github.com/BramGiesen/arpeggiator_LV2"
+license=('GPL')
+groups=()
+depends=('xorg-server' 'lv2')
+makedepends=()
+checkdepends=()
+optdepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=("git+https://github.com/BramGiesen/arpeggiator_LV2")
+noextract=()
+md5sums=('SKIP')
+validpgpkeys=()
+
+# prepare() {
+# }
+
+pkgver() {
+ cd "$srcdir"/arpeggiator_LV2
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+ }
+
+
+build() {
+ cd "$srcdir"/arpeggiator_LV2
+ make
+}
+
+# check() {
+ # cd "$pkgname-$pkgver"
+ # make -k check
+# }
+
+package() {
+ mkdir -p "${pkgdir}"/usr/lib/lv2/bg-arpeggiator.lv2
+ mkdir -p "${pkgdir}"/usr/lib/lv2/bg-midi-pattern.lv2
+ cd "$srcdir"/arpeggiator_LV2
+ make DESTDIR="${pkgdir}" install
+}